<div class="action-block">

    <button
    mr-button
    *ngIf="saved"
    class="mr-icon-only-button secondary"
    (click)="unsaveThread()"><i class="las la-bookmark"></i></button>

    <button
    mr-button
    *ngIf="!saved"
    class="mr-icon-only-button unliked"
    (click)="saveThread()"><i class="las la-bookmark"></i></button>

    <ng-container *ngIf="!isAuthor">

        <button
        mr-button
        *ngIf="following"
        class="mr-icon-only-button secondary"
        (click)="unfollowThread()"><i class="las la-bell"></i></button>

        <button
        mr-button
        *ngIf="!following"
        class="mr-icon-only-button unliked"
        (click)="followThread()"><i class="las la-bell"></i></button>

    </ng-container>

    <ng-container *ngIf="isAuthor">
        <mr-dropdown transformOrigin="top right">
            <ul>
                <li><a [routerLink]="'/threads/edit/'+id">Editar hilo</a></li>
                <li *ngIf="open" (click)="closeThread()">Cerrar hilo</li>
                <li *ngIf="!open" (click)="openThread()">Abrir hilo</li>
                <li (click)="deleteThread()">Eliminar hilo</li>
            </ul>
        </mr-dropdown>
    </ng-container>

</div>
